Skip to main content
`Ctrl`+`K`

# MatNullSpaceDestroy

Destroys a data structure used to project vectors out of null spaces.

## Synopsis

    #include "petscmat.h"
    PetscErrorCode MatNullSpaceDestroy(MatNullSpace *sp)

Collective

## Input Parameter

- sp - the null space context to be destroyed

## See Also

Matrices, `Mat`, `MatNullSpace`, `MatNullSpaceCreate()`, `MatNullSpaceRemove()`, `MatNullSpaceSetFunction()`

## Level

advanced

## Location

src/mat/interface/matnull.c

## Examples

src/ksp/ksp/tutorials/ex59.c
src/ksp/ksp/tutorials/ex32.c
src/dm/impls/stag/tutorials/ex2.c
src/dm/impls/stag/tutorials/ex3.c
src/ksp/ksp/tutorials/ex49.c
src/ksp/ksp/tutorials/ex56.c
src/ksp/ksp/tutorials/ex71.c
src/ksp/ksp/tutorials/ex72.c
src/dm/impls/stag/tutorials/ex4.c
src/ksp/ksp/tutorials/ex29.c

Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages